using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {

            string t = Console.ReadLine();
            int x = int.Parse(t.Split(' ')[0]);
            int[] nizA = new int[x];
            int q = int.Parse(t.Split(' ')[1]);
            int[] nizB = new int[q];
            int n = 0;
            int medijana = 0;
            t = Console.ReadLine();    
            for(int i = 0; i < x; i++)
            {
                nizA[i] = int.Parse(t.Split(' ')[i]);
            }
            t = Console.ReadLine();
            for (int j = 0; j < q; j++)
            {
                nizB[j] = int.Parse(t.Split(' ')[j]);
            }

            Array.Sort(nizA);
            Array.Sort(nizB);
            nizA[medijana] = nizA[(x / 2)];
                     
            for (int j = 0; j < q; j++)
            {
                if (nizB[j] == nizA[medijana])
                    n = nizB[j]-nizA[medijana];
                else if (nizB[j] < nizA[medijana])
                    n = nizA[medijana] - nizB[j];
                if (nizB[j] > nizA[medijana]) 
                    n = nizB[j] - nizA[medijana];
                Console.WriteLine(n);
            }
            

        }
    }
}